
Ceph - Bug #20984

Segmentation fault in upgrade:kraken-x-luminous

08/11/2017 04:51 PM - Yuri Weinstein

Status: Duplicate % Done: 0%

Priority: Urgent Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Q/A Affected Versions:  

Tags:  ceph-qa-suite: upgrade/kraken-x

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Run: http://pulpito.ceph.com/teuthology-2017-08-11_03:25:20-upgrade:kraken-x-luminous-distro-basic-ovh/

Jobs: ['1510884', '1510890']

Logs: 

http://qa-proxy.ceph.com/teuthology/teuthology-2017-08-11_03:25:20-upgrade:kraken-x-luminous-distro-basic-ovh/1510884/teutholo

gy.log

2017-08-11T12:59:40.635 DEBUG:teuthology.misc:2 of 4 OSDs are up

2017-08-11T12:59:43.844 INFO:tasks.ceph.osd.2.ovh046.stderr:*** Caught signal (Segmentation fault)

 **

2017-08-11T12:59:43.935 INFO:tasks.ceph.osd.2.ovh046.stderr: in thread 7f1302b7de00 thread_name:ce

ph-osd

2017-08-11T12:59:43.951 INFO:tasks.ceph.osd.2.ovh046.stderr: ceph version 12.1.2-511-gfd2eaa6 (fd2

eaa6677fc0d553670d87946fb04c49ced2173) luminous (rc)

2017-08-11T12:59:43.959 INFO:tasks.ceph.osd.2.ovh046.stderr: 1: (()+0xa53384) [0x55e7b97c9384]

2017-08-11T12:59:44.056 INFO:tasks.ceph.osd.2.ovh046.stderr: 2: (()+0x11390) [0x7f1301069390]

2017-08-11T12:59:44.138 INFO:tasks.ceph.osd.2.ovh046.stderr: 3: (operator<<(std::ostream&, BlueSto

re::SharedBlob const&)+0x28) [0x55e7b964fed8]

2017-08-11T12:59:44.144 INFO:tasks.ceph.osd.2.ovh046.stderr: 4: (operator<<(std::ostream&, BlueSto

re::Blob const&)+0xc0) [0x55e7b9650070]

2017-08-11T12:59:44.156 INFO:tasks.ceph.osd.2.ovh046.stderr: 5: (BlueStore::Blob::get_ref(BlueStor

e::Collection*, unsigned int, unsigned int)+0x3af) [0x55e7b965044f]

2017-08-11T12:59:44.164 INFO:tasks.ceph.osd.2.ovh046.stderr: 6: (BlueStore::Blob::decode(BlueStore

::Collection*, ceph::buffer::ptr::iterator&, unsigned long, unsigned long*, bool)+0x53d) [0x55e7b9

67a9dd]

2017-08-11T12:59:44.171 INFO:tasks.ceph.osd.2.ovh046.stderr: 7: (BlueStore::ExtentMap::decode_span

ning_blobs(ceph::buffer::ptr::iterator&)+0x365) [0x55e7b96816d5]

2017-08-11T12:59:44.178 INFO:tasks.ceph.osd.2.ovh046.stderr: 8: (BlueStore::Collection::get_onode(

ghobject_t const&, bool)+0x68c) [0x55e7b969170c]

2017-08-11T12:59:44.189 INFO:tasks.ceph.osd.2.ovh046.stderr: 9: (BlueStore::fsck(bool)+0x1ebd) [0x

55e7b96cf6ad]

2017-08-11T12:59:44.191 INFO:tasks.ceph.osd.2.ovh046.stderr: 10: (BlueStore::_mount(bool)+0x1ee) [

0x55e7b96cd1fe]

2017-08-11T12:59:44.194 INFO:tasks.ceph.osd.2.ovh046.stderr: 11: (OSD::init()+0x3df) [0x55e7b9248e

bf]

2017-08-11T12:59:44.198 INFO:tasks.ceph.osd.2.ovh046.stderr: 12: (main()+0x2eb8) [0x55e7b915b608]

2017-08-11T12:59:44.200 INFO:tasks.ceph.osd.2.ovh046.stderr: 13: (__libc_start_main()+0xf0) [0x7f1

2fffef830]

2017-08-11T12:59:44.202 INFO:tasks.ceph.osd.2.ovh046.stderr: 14: (_start()+0x29) [0x55e7b91e6f39]

Related issues:

Related to Ceph - Bug #20977: bluestore segv on kraken-x Resolved 08/10/2017
History

#1 - 08/11/2017 09:30 PM - Greg Farnum

- Related to Bug #20977: bluestore segv on kraken-x added

#2 - 08/11/2017 09:30 PM - Greg Farnum

- Status changed from New to Duplicate
